$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.125.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.125.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D41220581FBBDF682C36C94D4CD0663238C29BB92FC4BFDD9F19E41157F0AE31'
  checksumType = 'sha256'
  checksum64 = 'D41220581FBBDF682C36C94D4CD0663238C29BB92FC4BFDD9F19E41157F0AE31'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.125-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
